1 (edited by horazio 2017-12-04 09:21:56)

Topic: How can I fix this errors?

When I'm trying to install dd-utility-_1.5_all.deb?

Suggested packages:
  gconf-defaults-service gnome-keyring python-doc python-tk python2.7-doc
  binutils binfmt-support curlftpfs sshfs
Recommended packages:
  gnome-keyring udisks2
The following NEW packages will be installed:
  dbus-user-session gconf-service gconf2 gconf2-common gksu libgconf-2-4
  libgksu2-0 libgnome-keyring-common libgnome-keyring0 libgtop-2.0-11
  libgtop2-common libpython-stdlib libpython2.7-minimal libpython2.7-stdlib
  libstartup-notification0 libxcb-util0 mime-support python python-minimal
  python2.7 python2.7-minimal udevil
The following packages will be upgraded:
  dbus libdbus-1-3
2 upgraded, 22 newly installed, 0 to remove and 275 not upgraded.
10 not fully installed or removed.
Need to get 0 B/7,728 kB of archives.
After this operation, 27.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
debconf: delaying package configuration, since apt-utils is not installed
Setting up e2fsprogs (1.43.7-1) ...
update-initramfs: deferring update (trigger activated)
ls: cannot access '/boot/initrd.img-*': No such file or directory
cp: cannot stat '/boot/vmlinuz-*': No such file or directory
dpkg: error processing package e2fsprogs (--configure):
installed e2fsprogs package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
e2fsprogs
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB

Total disk space freed by localepurge: 0 KiB

E: Sub-process /usr/bin/dpkg returned an error code (1)

2

Re: How can I fix this errors?

Isn't dd installed by default in GParted Live?
(you need to use it with sudo)

*** It is highly recommended to backup any important files before doing resize/move operations. ***

3

Re: How can I fix this errors?

Obviously it isn't. As u can see above some dependencies are missing.

4

Re: How can I fix this errors?

@Class413 is correct.  The dd command is part of the coreutils package and is included and accessible from the /bin directory as evidenced by running:

which dd

5

Re: How can I fix this errors?

Re: How can I fix this errors?

@Class413 is correct.  The dd command is part of the coreutils package and is included and accessible from the /bin directory as evidenced by running:

which dd

I found it in /bin. What's the command to run it?

6

Re: How can I fix this errors?

Btw how can I change from user to root & vice versa in mc?